Contracts for these animals
curl --request GET \
--url https://{organization}.rescueconsole.com/api/animals/applications/{id}/contract/templates \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{organization}.rescueconsole.com/api/animals/applications/{id}/contract/templates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/animals/applications/{id}/contract/templates"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"results": [
{
"id": "<string>",
"name": "<string>",
"version": "<string>",
"kind": "adoption",
"body": "<string>",
"is_active": true,
"offered": true,
"conditional": true,
"reason": "<string>",
"body_blocks": [
{
"type": "p",
"runs": [
{
"text": "<string>",
"bold": true,
"italic": true,
"underline": true,
"strike": true,
"href": "<string>"
}
],
"items": [
[
{
"text": "<string>",
"bold": true,
"italic": true,
"underline": true,
"strike": true,
"href": "<string>"
}
]
],
"level": 1,
"rows": [
[
[
{
"text": "<string>",
"bold": true,
"italic": true,
"underline": true,
"strike": true,
"href": "<string>"
}
]
]
],
"src": "<string>",
"alt": "<string>"
}
],
"conditions": {
"species": [
"dog"
],
"age_bands": [
"<string>"
],
"traits": [
"<string>"
],
"min_days_in_care": 1,
"bonded_pair": true,
"min_animals": 3,
"min_fee_cents": 1,
"max_fee_cents": 1
},
"field_conditions": [
{
"target": "animal",
"field": "<string>",
"op": "is",
"value": "<string>"
}
],
"asks": [
"media_release"
],
"signature_count": 123,
"merge_fields": [
"animal_name"
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}Adoption applications
Contracts for these animals
Your active adoption contracts, each marked offered or not for these animals going home together, the offered ones with conditions first. A template is offered as it would be for the first animal named, at its fee less discounts, in a group this size. Needs read on Animals.
GET
/
api
/
animals
/
applications
/
{id}
/
contract
/
templates
Contracts for these animals
curl --request GET \
--url https://{organization}.rescueconsole.com/api/animals/applications/{id}/contract/templates \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{organization}.rescueconsole.com/api/animals/applications/{id}/contract/templates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/animals/applications/{id}/contract/templates"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"results": [
{
"id": "<string>",
"name": "<string>",
"version": "<string>",
"kind": "adoption",
"body": "<string>",
"is_active": true,
"offered": true,
"conditional": true,
"reason": "<string>",
"body_blocks": [
{
"type": "p",
"runs": [
{
"text": "<string>",
"bold": true,
"italic": true,
"underline": true,
"strike": true,
"href": "<string>"
}
],
"items": [
[
{
"text": "<string>",
"bold": true,
"italic": true,
"underline": true,
"strike": true,
"href": "<string>"
}
]
],
"level": 1,
"rows": [
[
[
{
"text": "<string>",
"bold": true,
"italic": true,
"underline": true,
"strike": true,
"href": "<string>"
}
]
]
],
"src": "<string>",
"alt": "<string>"
}
],
"conditions": {
"species": [
"dog"
],
"age_bands": [
"<string>"
],
"traits": [
"<string>"
],
"min_days_in_care": 1,
"bonded_pair": true,
"min_animals": 3,
"min_fee_cents": 1,
"max_fee_cents": 1
},
"field_conditions": [
{
"target": "animal",
"field": "<string>",
"op": "is",
"value": "<string>"
}
],
"asks": [
"media_release"
],
"signature_count": 123,
"merge_fields": [
"animal_name"
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}Authorizations
An API key from Settings, API keys. It starts with rc_live_.
Path Parameters
The application's ID.
Query Parameters
The animals going home, as record IDs separated by commas.
Response
The templates.
Show child attributes
Show child attributes